# satchlj.com
[My website][site] began as a complete copy of [Tim Visée's site](https://timvisee.com), but that changed long ago as I added my own content.
## Content
The majority of the content is formatted in Markdown, located in the
[`./content`](./content/) directory.
It includes theme as well ([zenn][zenn]) for the visuals, by Tim Visée.

This website is built with [Zola][zola], a static website generator.
See its documentation for more information on how this project is structured.

Any pull requests for changes on the website are welcome.

## Usage
To run a local instance of this website, be sure to install [`zola`][zola] first.
Then run:

```bash
# Clone the repository
git clone https://tildegit.org/satchlj/satchlj.com
cd satchlj.com

# Change base_url in config.toml

# Build and serve a local instance
zola serve --open

# Open: 127.0.0.1:1111
# Edit files in ./content, view live changes your browser

# Build and deploy
zola build

# serve static files in public directory to web
```
## License
This project is released under the GNU AGPL-3.0 license.
Check out the [LICENSE][license] file for more information.

[site]: https://satchlj.com/
[zola]: https://getzola.org/
[zenn]: ./themes/zenn/
[license]: ./LICENSE
