+++
title = "Rhino Docs"
description = "Links and stuff you'll need for the play"

[extra]
zenn_hide_header_meta = true
+++

You'll need to look for updates about the project over on [Internet Relay Chat][chat].

To download an editable version of the script, click [here][script]. For a pdf script, click [here][pdfscript]. For an ebook version, click [here][epub]. I will be changing it as we rehearse; feel free to make your own copy, format and edit as you please, take out the scenes you're not in, and print. Make sure to have it printed by our first rehearsal.

Get memorized!

Casting is [here][casting]. Cheers!

### Tech Sheets

- [Costumes][costumes]
- [Costume tech sheet][costume-sheet]
- [Props][props]
- [Sound effects][sounds]
- Alex Solis's [tech sheet builder][builder]
- [Entrances and Exits][enterexit]

[chat]: https://satchlj.com/chat
[script]: script3.odt
[pdfscript]: script3.pdf
[epub]: script.epub
[casting]: casting.pdf
[costumes]: https://docs.satch.xyz/p/costumes
[props]: https://docs.satch.xyz/p/props
[enterexit]: https://docs.satch.xyz/p/Entrances_and_Exits
[sounds]: https://docs.satch.xyz/p/sounds
[builder]: tech-sheets/
[costume-sheet]: costume-sheet.pdf